Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 900262 - net-misc/wget2-2.1.0 has implicit function declarations in configure logs (GCC-13-SYSTEM)
Summary: net-misc/wget2-2.1.0 has implicit function declarations in configure logs (GC...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: implicit-in-configure
  Show dependency tree
 
Reported: 2023-03-08 08:19 UTC by Agostino Sarubbo
Modified: 2024-05-19 21:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,328.26 KB, text/plain)
2023-03-08 08:19 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2023-03-08 08:19:15 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-misc/wget2-2.0.1-r2 has implicit function declarations in configure logs (GCC-13-SYSTEM).
Discovered on: amd64 (internal ref: gcc13_tinderbox)

NOTE:
(GCC-13-SYSTEM) in the summary means that the bug was found on a machine that runs gcc-13 but this bug MAY or MAY NOT BE related to the new compiler
See also: https://bugs.gentoo.org/898488#c4.
Comment 1 Agostino Sarubbo gentoo-dev 2023-03-08 08:19:17 UTC
Created attachment 856696 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2023-06-14 07:30:41 UTC
ci has reproduced this issue with version 2.0.1-r3 - Updating summary.
Comment 3 Agostino Sarubbo gentoo-dev 2023-08-17 06:37:54 UTC
ci has reproduced this issue with version 2.0.1-r4 - Updating summary.
Comment 4 Agostino Sarubbo gentoo-dev 2024-01-03 08:53:29 UTC
gcc14_tinderbox has reproduced this issue with version 2.1.0 - Updating summary.
Comment 5 Eli Schwartz 2024-05-19 21:34:44 UTC
 * QA Notice: Found the following implicit function declarations in configure logs:
 *   /var/tmp/portage/net-misc/wget2-2.0.1-r2/work/wget2-2.0.1/config.log:5754 - MIN


This is an FP, fixed in https://gitweb.gentoo.org/proj/portage.git/commit/?id=8256473c6a9fa93e7cf81c46fa920cd522507c21